Subject: Re: bug#13425: close this bug?

From: Simen Heggestøyl <[email-masked]>
Date: Sun, 29 Jan 2017 15:01:55 +0100

I agree that the SMIE-based indenter is good, and I'd like to keep it. 
The
mentioned problem of aligning lines after a comma is indeed the only 
problem
I've had with it.

On Thu, Jan 26, 2017 at 12:06 AM, Tom Tromey <[email-masked]> wrote:
> I did spend a bit of time trying to get it to line up continued
> properties under the ":", like:
> 
>     font: 15px "Helvetica Neue",
> 	  Helvetica,
> 	  Arial,
> 	  "Nimbus Sans L",
> 	  sans-serif;
> 
> ... but all I really accomplished was realizing that I don't 
> understand
> SMIE.

I did that too, but I had to reach the same conclusion...

If we aren't able to fix this with problem the SMIE-based indenter, and
Evgeni's indenter handles it better, I think we should consider it.

But as said, I think it would be ideal to fix and keep the indenter we 
have.

Stefan, do you have time to look into it, or do you have some pointers 
to how
we could fix this problem with the SMIE-based indenter?

-- Simen